Bug 1875841 - Termination lock file /var/log/kube-apiserver/.terminating is missing sometimes
Summary: Termination lock file /var/log/kube-apiserver/.terminating is missing sometimes
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-04 14:02 UTC by Stefan Schimanski
Modified: 2020-09-15 03:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kubernetes pull 332 None closed Bug 1875841: watch-termination: fix deletion race and write non-graceful message also to termination.log 2020-09-15 01:26:52 UTC

Description Stefan Schimanski 2020-09-04 14:02:51 UTC
The termination lock file /var/log/kube-apiserver/.terminating is missing sometimes although it should exist.

Comment 3 Ke Wang 2020-09-15 03:06:58 UTC
Verified with OCP 4.6.0-0.nightly-2020-09-14-221526 according to the PR https://github.com/openshift/kubernetes/pull/332,
$ oc debug node/<master node>

sh-4.4# chroot /host
sh-4.4# cd /var/log/kube-apiserver
sh-4.4# ls -al
total 163904
drwx------.  2 root root        66 Sep 15 02:11 .
drwxr-xr-x. 16 root root       277 Sep 15 01:47 ..
-rw-r--r--.  1 root root         0 Sep 15 02:11 .terminating
-rw-r--r--.  1 root root 103913009 Sep 15 02:40 audit.log
-rw-r--r--.  1 root root   4056358 Sep 15 02:11 termination.log

sh-4.4# ps -ef |grep ' kube-apiserver '
root       58146   56671 63 02:56 ?        00:00:58 kube-apiserver --openshift-config=/etc/kubernetes/static-pod-resources/configmaps/config/config.yaml --advertise-address=xx.0.xxx.91 -v=2
root       60009   38559  0 02:58 ?        00:00:00 grep kube-apiserver 

sh-4.4# kill -9 58146

sh-4.4# tail -2 termination.log

I0915 02:55:55.964944      19 httplog.go:94] "HTTP" verb="GET" URI="/readyz" latency="3.013261ms" userAgent="ELB-HealthChecker/2.0" srcIP="xx.0.xx.205:32323" resp=0
Previous pod kube-apiserver-ip-xx-0-xxx-91.us-east-2.compute.internal started at 2020-09-15 02:11:58.348874584 +0000 UTC did not terminate gracefully
---

From above the logs, the expected log was displayed, so move the bug verified.


Note You need to log in before you can comment on or make changes to this bug.